Take the 2-minute tour ×
Information Security Stack Exchange is a question and answer site for Information security professionals. It's 100% free, no registration required.

"This vulnerability is located within the Dropbear daemon and occurs due to the way the server manages channels concurrency. A specially crafted request can trigger a use after free condition which can be used to execute arbitrary code under root privileges provided the user has been authenticated using a public key (authorized_keys file) and a command restriction is enforced (command option).

Solution: Upgrade to version 2012.55 or higher."

http://seclists.org/fulldisclosure/2012/Feb/403

Mercurial entry for the upgraded code: https://secure.ucc.asn.au/hg/dropbear/rev/818108bf7749

So does this means that I have to upgrade every dropbear on all my OpenWRT routers? What OpenWRT versions are affected??

Please help, it looks like an ASAP task!

share|improve this question
1  
Could you add some more details of the vulnerability in the text of your question? Otherwise, it's fairly useless if the links ever die. –  Iszi Feb 25 '12 at 0:22
add comment

1 Answer

up vote 3 down vote accepted

The latest Open-WRT version is 2 years old now. If you have not upgraded individual services, then you will need to perform this upgrade.

From Dropbear: "Security update 2012.55 — releases from 0.52 to 2011.54 are potentially vulnerable to code execution as root by an authenticated user if a command="..." option is used in authorized_keys. Release 2012.55 fixes the problem."

Also, consider switching to another router OS replacement that is under more active development, like DD-WRT.

share|improve this answer
    
"by an authenticated user" - so it's not a remote code execution, ok –  LanceBaynes Mar 15 '12 at 14:17
1  
Those appear reversed; it's OpenWrt that's in active development, while DD-WRT has stagnated. Though it may have been the other way round a year ago when you wrote this. The current release of OpenWrt, Attitude Adjustment, has dropbear 2012.55. –  Michael Hampton Feb 20 '13 at 4:51
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.